package domain

type AlibabaWdkCouponTemplateTerminateUserInfo struct {
	/*
	   来源     */
	Source *string `json:"source,omitempty" `

	/*
	   用户id     */
	UserId *int64 `json:"user_id,omitempty" `

	/*
	   用户名     */
	UserName *string `json:"user_name,omitempty" `
}

func (s *AlibabaWdkCouponTemplateTerminateUserInfo) SetSource(v string) *AlibabaWdkCouponTemplateTerminateUserInfo {
	s.Source = &v
	return s
}
func (s *AlibabaWdkCouponTemplateTerminateUserInfo) SetUserId(v int64) *AlibabaWdkCouponTemplateTerminateUserInfo {
	s.UserId = &v
	return s
}
func (s *AlibabaWdkCouponTemplateTerminateUserInfo) SetUserName(v string) *AlibabaWdkCouponTemplateTerminateUserInfo {
	s.UserName = &v
	return s
}
